/*
 * random.c -- a platform-independent random number generator
 */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "common.h"
#include "random.h"


static Uint randomState = 0;


void randomSet(Uint seed) {
  randomState = seed;
}


Uint randomGet(void) {
  return randomState;
}


Uint randomNext(void) {
  randomState *= 1664525;
  randomState += 1013904223;
  randomState &= 0xFFFFFFFF;
  return randomState;
}
